JsonCpp project page | JsonCpp home page

Classes | Public Member Functions | Protected Attributes | List of all members
Json::StreamWriter Class Referenceabstract

Usage: More...

`#include <json/writer.h>`

Inheritance diagram for Json::StreamWriter:
Collaboration diagram for Json::StreamWriter:

## Classes
class | Factory
| A simple abstract factory. More...

## Public Member Functions
| StreamWriter ()
virtual | ~StreamWriter ()
virtual int | write (Value const &root, std::ostream *sout)=0
| Write Value into document as configured in sub-class. More...

## Protected Attributes
std::ostream * | sout_

## Detailed Description

Usage:

using namespace Json;
void writeToStdout(StreamWriter::Factory const& factory, Value const& value) {
std::unique_ptr<StreamWriter> const writer(
factory.newStreamWriter());
writer->write(value, &std::cout);
std::cout << std::endl; // add lf and flush
}

Definition at line 42 of file writer.h.

## Constructor & Destructor Documentation

## ◆ StreamWriter()

Json::StreamWriter::StreamWriter | ( |  | ) |

Definition at line 1118 of file json_writer.cpp.

## ◆ ~StreamWriter()

Json::StreamWriter::~StreamWriter | ( |  | ) |
| virtual

Definition at line 1122 of file json_writer.cpp.

## Member Function Documentation

## ◆ write()

virtual int Json::StreamWriter::write | ( | Value const & | root,
|  | std::ostream * | sout
| ) |  |
| pure virtual

Write Value into document as configured in sub-class.

Do not take ownership of sout, but maintain a reference during function.

Precondition
  sout != NULL

Returns
  zero on success (For now, we always return zero, so check the stream instead.)

Exceptions

  std::exception | possibly, depending on configuration

## Member Data Documentation

## ◆ sout_

std::ostream* Json::StreamWriter::sout_
| protected

Definition at line 44 of file writer.h.

The documentation for this class was generated from the following files:

- include/json/writer.h
- src/lib_json/json_writer.cpp